Bug 141633 - VIEWING: Font Display in tableviews distorted, abnormal size of selected fields
Summary: VIEWING: Font Display in tableviews distorted, abnormal size of selected fields
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.3.0 target:7.2.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Database-Forms
  Show dependency treegraph
 
Reported: 2021-04-11 20:24 UTC by gerhard kick
Modified: 2021-10-07 11:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Illustration of Font inconsistency in tablecontrol (83.24 KB, image/png)
2021-04-11 20:24 UTC, gerhard kick
Details
att Robert -Same happens in deiner ProfilVergleich.odb (65.62 KB, image/png)
2021-04-12 19:42 UTC, gerhard kick
Details
Incorrect text size with selected item in table control. (40.87 KB, application/vnd.oasis.opendocument.database)
2021-04-13 20:32 UTC, Stang
Details
sample db (27.05 KB, application/vnd.sun.xml.base)
2021-04-14 04:17 UTC, gerhard kick
Details
image of small font in front of normal font (65.71 KB, image/png)
2021-04-14 04:18 UTC, gerhard kick
Details
same image as before showing 100 zoom (60.15 KB, image/png)
2021-04-14 05:57 UTC, gerhard kick
Details
Font of active cell is 10 pt, which is set as default in KDE. (51.06 KB, image/png)
2021-06-14 14:18 UTC, Robert Großkopf
Details
System font has been changed to 18pt as all other fonts. Changes only activated field. (61.63 KB, image/png)
2021-06-14 14:19 UTC, Robert Großkopf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gerhard kick 2021-04-11 20:24:32 UTC
Created attachment 171106 [details]
Illustration of Font inconsistency in tablecontrol

Within a table control the selected field will be either larger or smaller depending on the font size giving the form a somewhat distorted look.
Comment 1 Robert Großkopf 2021-04-12 14:18:56 UTC
When opening a form an switching through a tablecontrol I could only see this behavior with zoomed form. The font of a selected field will always be shown with 100%.

Is this the same behavior you detected?
Comment 2 gerhard kick 2021-04-12 17:30:19 UTC
Hello Robert,

The form is set at zoom level of 100% at startup because other forms may differ.

Sub prep	
	ThisComponent.CurrentController.Frame.LayoutManager.setVisible(False)
	Thiscomponent.currentController.ViewSettings.ZoomType = com.sun.star.view.DocumentZoomType.BY_VALUE
	Thiscomponent.currentController.ViewSettings.ZoomValue = 100
	oController = ThisComponent.getCurrentController()		
End Sub
Comment 3 gerhard kick 2021-04-12 17:38:40 UTC
If the zoom statement is removed it works fine but this will result in some other forms being displayed incorrectly as they use the same procedure at startup
Comment 4 gerhard kick 2021-04-12 19:42:01 UTC
Created attachment 171136 [details]
att Robert -Same happens in deiner ProfilVergleich.odb

Refer to added screendump
Comment 5 QA Administrators 2021-04-13 03:40:55 UTC Comment hidden (obsolete)
Comment 6 Robert Großkopf 2021-04-13 06:18:10 UTC
(In reply to gerhard kick from comment #4)
> Created attachment 171136 [details]
> att Robert -Same happens in deiner ProfilVergleich.odb
> 
> Refer to added screendump

Please add a screenshot, which will show the zoom-level. It is hidden behind the controlbar of your windowsmanager.

Seems the zoom is set to something like 75%. The table control itself show the same bigger font than the content in the tablecontrol.

I could only confirm the buggy behavior when the form isn't set to zoom 100%. 

Please add a database which shows this behavior for zoom 100%.
Comment 7 Stang 2021-04-13 20:32:26 UTC
Created attachment 171172 [details]
Incorrect text size with selected item in table control.
Comment 8 Stang 2021-04-13 20:34:20 UTC
The sample is with LO v7.1.2.2 on Ubuntu 20.04.

Default is 11pt.  Selected items same size.  With 6pt selected display larger and with 18pt smaller.
Comment 9 gerhard kick 2021-04-14 04:17:32 UTC
Created attachment 171176 [details]
sample db
Comment 10 gerhard kick 2021-04-14 04:18:28 UTC
Created attachment 171177 [details]
image of small font in front of normal font
Comment 11 Robert Großkopf 2021-04-14 05:42:18 UTC
Tested it with the attached database.
The selected cell in a tablecontrol always show font with 10pt. So you couldn't see the buggy behavior, if the fonts in tablecontrol are 10pt and the zoom is 100%.
The attached database from Gerhard shows the buggy behavior with zoom 100%, because the font is set to 12pt and the selected field is shown in 10 pt. If you set zomm 80% in this example, it won't show the buggy behavior. All fonts will appear the same height like 10pt with zoom 100%.

I could confirm this buggy behavior with LO 7.1.2.2 on OpenSUSE 15.2 64bit rpm Linux. The buggy behavior doesn't appear in LO 7.0.5.2 on the same system. So its a regression.
Comment 12 gerhard kick 2021-04-14 05:57:49 UTC
Created attachment 171179 [details]
same image as before showing 100 zoom

Hi Robert,

It is a bug none the less, this behaviour did not exist prior to version 7.xxx regardless whether zoomed or not, even more weird if you change the font size of the table control the font of the active field may either be larger or smaller. Just odd.
Comment 13 Robert Großkopf 2021-06-14 14:16:41 UTC
When changing the fontsize in a table (not tablecontrol) the same happens: The fontsize of the field, which is marked for input, will be set to the default fontsize of the system I am using (here: OpenSUSE 15.2 with KDE). When changing the fontsize of the system the fontsize of the field will be changed too. Seems it is getting the same fontsize as the menueentries.

See the attached two screenshots.
Comment 14 Robert Großkopf 2021-06-14 14:18:00 UTC
Created attachment 172870 [details]
Font of active cell is 10 pt, which is set as default in KDE.
Comment 15 Robert Großkopf 2021-06-14 14:19:42 UTC
Created attachment 172871 [details]
System font has been changed to 18pt as all other fonts. Changes only activated field.
Comment 16 pierre-yves samyn 2021-06-14 15:32:26 UTC
Hi

Also reproduced on Version: 7.1.4.2 (x64) / LibreOffice Community
Build ID: a529a4fab45b75fefc5b6226684193eb000654f6
CPU threads: 2; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: Skia/Raster; VCL: win
Locale: fr-FR (fr_FR); UI: fr-FR
Calc: threaded

Best regards
Comment 17 Robert Großkopf 2021-06-14 15:53:55 UTC
Have changed the title to reflect it is part of all tables in Base.
Comment 18 Buovjaga 2021-08-26 16:33:34 UTC
Bibisected with linux-64-7.1 to
https://git.libreoffice.org/core/commit/6e7e19d9c300dbdd279789b09f94781e946fad52
weld DateControl

Adding Cc: to Caolán McNamara
Comment 19 Commit Notification 2021-09-29 15:42:59 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4e2306a5e336e2b43759c9712535626d0f2c168f

Related: tdf#141633 PointFont gets overwritten by ControlFont

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2021-09-30 08:05:46 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/61050c6d7b8bceef2704eba0bfe4473ee75e669d

tdf#141633 set correct font sizes in tableview child widgets

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2021-09-30 08:06:56 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4d445ac9aa43b3399a579e3dbb1aac94507c9520

Related: tdf#141633 support setting a custom font for TextView

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Buovjaga 2021-09-30 09:32:18 UTC
Verified with attachment 171176 [details]

Arch Linux 64-bit
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 0b81761c86786eeb035f857f549d75f143e491ad
CPU threads: 8; OS: Linux 5.14; UI render: default; VCL: kf5 (cairo+xcb)
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 30 September 2021
Comment 23 Commit Notification 2021-09-30 14:27:33 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/36d5e26549b273118cea8969c43ef5ad3845f8df

tdf#141633 multiple line entry font size/zoom not taking effect

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2021-09-30 15:53:32 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b1f085d66c1d354485edec527fda6abf539af325

Related: tdf#141633 drawing buttons to outputdevice affects later drawing

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2021-10-01 19:34:53 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/56665a7265b0acce2c1c4908f07604ad77c3680f

tdf#141633 table control expects the textview widget to word-char wrap

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2021-10-01 19:36:04 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ea8e41710045a1e20f6cc1d210f3534c4f5fe9c9

Related: tdf#141633 use IsMultiLineEdit instead of !IsSimpleEdit

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2021-10-01 20:53:57 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d7397d36b3c801681a802f4f2f16aec0c01a76db

tdf#141633 use OutputDevice::DrawText for multiline text too

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2021-10-04 02:50:08 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/01e50986b3f430681ce07a00e1d77bf22700c466

tdf#141633 table control expects the textview widget to word-char wrap

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 29 Commit Notification 2021-10-04 10:43:31 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/952a678634461f741ee4ef2082d591a162a7f71c

Related: tdf#141633 similiarly support match combo/listbox font sizes

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 30 Commit Notification 2021-10-04 11:22:08 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/feb1cdd5bcbdf8dfe350551ab84d89a43d6fde8c

tdf#141633 set correct font sizes in tableview child widgets

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 31 Commit Notification 2021-10-04 11:23:19 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/ec8d0ae23eea3dcba97c7f78aa9ca0e6cec0bda9

tdf#141633 use OutputDevice::DrawText for multiline text too

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 32 Commit Notification 2021-10-05 08:53:13 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/3009987854349732e726c14e54e7cc78e319e3c8

Related: tdf#141633 drawing buttons to outputdevice affects later drawing

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 33 Commit Notification 2021-10-06 10:13:51 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/52ab26ab2ae841d917129a6ea5f31f9c9f7edd2f

Related: tdf#141633 similiarly support match combo/listbox font sizes

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 34 Commit Notification 2021-10-06 12:49:39 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/10ec02f6fe4cd2c29021b967c255ace3f71424b5

Related: tdf#141633 allow "small-button" elements to shrink further

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 35 Commit Notification 2021-10-06 13:57:19 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a693009c28059435ea5bae6d89a76e2243fe7793

tdf#141633 use css instead of pango attribs for font size

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 36 Commit Notification 2021-10-06 14:56:06 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/50a1b6e18ee51aee479495039aba3fdede2711ce

Related: tdf#141633 similiarly support match spinbutton font size

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 37 Caolán McNamara 2021-10-06 18:51:18 UTC
looks good to me now in trunk, some more backports to 7-2 in gerrit
Comment 38 Commit Notification 2021-10-07 11:24:20 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/4c8916fce009a1aee0e644fa62150a9279202a53

Related: tdf#141633 allow "small-button" elements to shrink further

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 39 Commit Notification 2021-10-07 11:25:31 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/bb70cd3d4badb615528ff18b46ff233d8be6e2ff

tdf#141633 use css instead of pango attribs for font size

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 40 Commit Notification 2021-10-07 11:40:11 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/bc3571887f5fa3abc6655400560fd0c0fd530528

Related: tdf#141633 similiarly support match spinbutton font size

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.